<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#basicTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //显示详情按钮
    	       detailView: true,
    	       	//显示详细内容函数
	           // detailFormatter: "detailFormatter",
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
               cache: false,
               //是否显示分页（*）
               pagination: true,
                //排序方式
               sortOrder: "asc",
               //初始化加载第一页，默认第一页
               pageNumber:1,
               //每页的记录行数（*）
               pageSize: 10,
               //可供选择的每页的行数（*）
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
               url: "${ctx}/filing/applicationFor/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',
               ////查询参数,每次调用是会带上这个参数，可自定义
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该招标与合同管理记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/filing/applicationFor/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#basicTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})

                   	});

                   }
               },
		/*		onPostBody:function(){
					window.rowProps = undefined;
					_table_rowspan("#basicTable" , 1);
					_table_rowspan("#basicTable" , 2);
					_table_rowspan("#basicTable" , 3);
					_table_rowspan("#basicTable" , 4);
					_table_rowspan("#basicTable" , 5);
					return true;
				},*/
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true

		    }
			,{
		        field: 'projectCode',
		        title: '项目编码',
			    width: 100,
		        sortable: true,
		        sortName: 'projectCode'
		        ,formatter:function(value, row , index){
			   if(value == null || value ==""){
				   value = "-";
			   }
			   <c:choose>
				   <c:when test="${fns:hasPermission('test:filing:approvalStage:edit')}">
				      return "<a href='javascript:edit(\""+row.id+"\")'>"+value+"</a>";
			      </c:when>
				  <c:when test="${fns:hasPermission('test:filing:approvalStage:view')}">
				      return "<a href='javascript:view(\""+row.id+"\")'>"+value+"</a>";
			      </c:when>
				  <c:otherwise>
				      return value;
			      </c:otherwise>
			   </c:choose>

		        }
		    }
			,{
		        field: 'monomerCode',
		        title: '单体编码',
		        sortable: true,
			   width: 100,
		        sortName: 'monomerCode'

		    }
			,{
		        field: 'entryName',
		        title: '项目名称',
					   width: 100,
		        sortable: true,
		        sortName: 'entryName'

		    }
			,{
		        field: 'landNo',
		        title: '用地预审意见（变电站） 文号',
			    width: 100,
		        sortable: true,
		        sortName: 'landNo'
		    },{
					   field: 'landDate',
					   title: '用地预审意见（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'landDate'
				   },{
					   field: 'eiaNo',
					   title: '环评批复（变电站、线路） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'eiaNo'
				   },{
					   field: 'eiaDate',
					   title: '环评批复（变电站、线路） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'eiaDate'
				   },{
					   field: 'acceptanceNo',
					   title: '环评验收文号及日期 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'acceptanceNo'
				   },{
					   field: 'acceptanceDate',
					   title: '环评验收文号及日期 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'acceptanceDate'
				   },{
					   field: 'replyNo',
					   title: '水保批复（变电站、线路） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'replyNo'
				   },{
					   field: 'replyDate',
					   title: '水保批复（变电站、线路） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'replyDate'
				   },{
					   field: 'soilNo',
					   title: '水保验收文号及日期 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'soilNo'
				   },{
					   field: 'soilDate',
					   title: '水保验收文号及日期 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'soilDate'
				   },{
					   field: 'depositNo',
					   title: '压覆矿藏复函（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'depositNo'
				   },{
					   field: 'depositDate',
					   title: '压覆矿藏复函（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'depositDate'
				   },{
					   field: 'recordNo',
					   title: '地灾评估备案表（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'recordNo'
				   },{
					   field: 'recordDate',
					   title: '地灾评估备案表（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'recordDate'
				   },{
					   field: 'siteProposalNo',
					   title: '选址意见书（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'siteProposalNo'
				   },{
					   field: 'siteProposalDate',
					   title: '选址意见书（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'siteProposalDate'
				   },{
					   field: 'planningNo',
					   title: '线路路径规划意见 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'planningNo'
				   },{
					   field: 'planningDate',
					   title: '线路路径规划意见 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'planningDate'
				   },{
					   field: 'usePlanNo',
					   title: '用地规划许可证 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'usePlanNo'
				   },{
					   field: 'usePlanDate',
					   title: '用地规划许可证 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'usePlanDate'
				   },{
					   field: 'requisitonNo',
					   title: '征地补偿批复 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'requisitonNo'
				   },{
					   field: 'requisitonDate',
					   title: '征地补偿批复 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'requisitonDate'
				   },{
					   field: 'conLandNo',
					   title: '建设用地批准书 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'conLandNo'
				   },{
					   field: 'conLandDate',
					   title: '建设用地批准书 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'conLandDate'
				   },{
					   field: 'transferNo',
					   title: '划拨决定书 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'transferNo'
				   },{
					   field: 'transferDate',
					   title: '划拨决定书 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'transferDate'
				   },{
					   field: 'certificateNo',
					   title: '土地证（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'certificateNo'
				   },{
					   field: 'certificateDate',
					   title: '土地证（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'certificateDate'
				   },{
					   field: 'permitNo',
					   title: '建设工程规划许可证（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'permitNo'
				   },{
					   field: 'permitDate',
					   title: '建设工程规划许可证（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'permitDate'
				   },{
					   field: 'fireProNo',
					   title: '消防设计审查/备案意见（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'fireProNo'
				   },{
					   field: 'fireProdate',
					   title: '消防设计审查/备案意见（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'fireProdate'
				   },{
					   field: 'fireAccNo',
					   title: '消防验收/备案意见（变电站） 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'fireAccNo'
				   },{
					   field: 'fireAccDate',
					   title: '消防验收/备案意见（变电站） 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'fireAccDate'
				   },{
					   field: 'estateNo',
					   title: '不动产权证 文号',
					   width: 100,
					   sortable: true,
					   sortName: 'estateNo'
				   },{
					   field: 'estateDate',
					   title: '不动产权证 日期',
					   width: 100,
					   sortable: true,
					   sortName: 'estateDate'
				   }
		     ],
		onExpandRow: function (index, row, $detail) {
			initSubTable(index, row, $detail);
		}
		});

	//初始化子表格(无线循环)
	initSubTable = function (index, row, $detail) {
		var parentid = row.projectCode;
		var cur_table = $detail.html('<table></table>').find('table');
		$(cur_table).bootstrapTable({
			url: '${ctx}/filing/applicationFor/detail',
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			queryParams : function(params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
				searchParam.pageSize = params.limit === undefined? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
				searchParam.projectCode = parentid;
				return searchParam;
			},
			striped: true, //是否显示行间隔色
			pagination: false,//显示分页
			sidePagination: "server",
			pageNumber:1,
			pageSize: 10,
			pageList: [10, 25],
			columns: [{
				width: 62
			},{
				field: 'projectCode',
				title: '',
				width: 100,
				sortName: 'projectCode'
				,formatter:function(value, row , index){
					if(value == null || value ==""){
						value = "-";
					}
				<c:choose>
					<c:when test="${fns:hasPermission('test:filing:approvalStage:edit')}">
					return "<a href='javascript:edit(\""+row.id+"\")'>"+value+"</a>";
				</c:when>
					<c:otherwise>
					return value;
				</c:otherwise>
					</c:choose>
				}
			}, {
				field: 'monomerCode',
				width: 100
			}, {
				field: 'entryName',
				width: 100,
			},{
				field: 'landNo',
				width: 100,
			},{
				field: 'landDate',
				width: 100,
			},{
				field: 'eiaNo',
				width: 100,
			},{
				field: 'eiaDate',
				width: 100,
			},{
				field: 'acceptanceNo',
				width: 100,
			},{
				field: 'acceptanceDate',
				width: 100,
			},{
				field: 'replyNo',
				width: 100,
			},{
				field: 'replyDate',
				width: 100,
			},{
				field: 'soilNo',
				width: 100,
			},{
				field: 'soilDate',
				width: 100,
			},{
				field: 'depositNo',
				width: 100,
			},{
				field: 'depositDate',
				width: 100,
			},{
				field: 'recordNo',
				width: 100,
			},{
				field: 'recordDate',
				width: 100,
			},{
				field: 'siteProposalNo',
				width: 100,
			},{
				field: 'siteProposalDate',
				width: 100,
			},{
				field: 'planningNo',
				width: 100,
			},{
				field: 'planningDate',
				width: 100,
			},{
				field: 'usePlanNo',
				width: 100,
			},{
				field: 'usePlanDate',
				width: 100,
			},{
				field: 'requisitonNo',
				width: 100,
			},{
				field: 'requisitonDate',
				width: 100,
			},{
				field: 'conLandNo',
				width: 100,
			},{
				field: 'conLandDate',
				width: 100,
			},{
				field: 'transferNo',
				width: 100,
			},{
				field: 'transferDate',
				width: 100,
			},{
				field: 'certificateNo',
				width: 100,
			},{
				field: 'certificateDate',
				width: 100,
			},{
				field: 'permitNo',
				width: 100,
			},{
				field: 'permitDate',
				width: 100,
			},{
				field: 'fireProNo',
				width: 100,
			},{
				field: 'fireProdate',
				width: 100,
			},{
				field: 'fireAccNo',
				width: 100,
			},{
				field: 'fireAccDate',
				width: 100,
			},{
				field: 'estateNo',
				width: 100,
			},{
				field: 'estateDate',
				width: 100,
			}
				]
		});
	};

		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#basicTable').bootstrapTable("toggleView");
		}
	  
	  $('#basicTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#basicTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#basicTable').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 200],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['下载模板','确定', '关闭'],
				btn1: function(index, layero){
					  jp.downloadFile('${ctx}/filing/applicationFor/import/template');
				  },
			    btn2: function(index, layero){
						var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/filing/applicationFor/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
                        });//调用保存事件
                    return false;
				  },
				 
				  btn3: function(index){ 
					  jp.close(index);
	    	       }
			}); 
		});
	  $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/filing/applicationFor/export');
	  });

	$("#exportFiles").bind("click", function () {
		$("#searchForm").attr("action","${ctx}/filing/filingImages/exportApplicationFor?ids="+ getIdSelections());
		$("#searchForm").submit();
		return true;
	});



	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#basicTable').bootstrapTable('refresh');
		});

	  $("#open").click(function () {
		  $("#basicTable").bootstrapTable('expandAllRows');
	  })

		$("#close").click(function (row) {
			$('#basicTable').bootstrapTable('refresh');
		})

	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		   $("#searchForm  .select-item").html("");
		  $('#basicTable').bootstrapTable('refresh');
		});
		
				$('#beginInDate').datetimepicker({
					 format: "YYYY-MM-DD HH:mm:ss"
				});
				$('#endInDate').datetimepicker({
					 format: "YYYY-MM-DD HH:mm:ss"
				});
		
	});
		
  function getIdSelections() {
        return $.map($("#basicTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该招标与合同管理记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/filing/applicationFor/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#basicTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }
  
    //刷新列表
  function refresh() {
      $('#basicTable').bootstrapTable('refresh');
  }
  function add(){
	  jp.openSaveDialog('新增招标与合同管理', "${ctx}/filing/applicationFor/form",'1000px', '800px');
  }
  
   function edit(id){//没有权限时，不显示确定按钮
       if(id == undefined){
	      id = getIdSelections();
	}
	jp.openSaveDialog('编辑招标与合同管理', "${ctx}/filing/applicationFor/form?id=" + id, '800px', '500px');
  }

 function view(id){//没有权限时，不显示确定按钮
      if(id == undefined){
             id = getIdSelections();
      }
        jp.openViewDialog('查看招标与合同管理', "${ctx}/filing/applicationFor/form?id=" + id, '800px', '500px');
 }


	function addRow(list, idx, tpl, row){
		$(list).append(Mustache.render(tpl, {
			idx: idx, delBtn: true, row: row
		}));
	}
			
</script>


